> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SIP carrier



## OpenAPI

````yaml https://api.callers.ai/openapi-json post /organization/sip
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /organization/sip:
    post:
      tags:
        - Organizations
      summary: Create a SIP carrier
      operationId: OrganizationPublicController_createSipCarrier
      parameters:
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SipCarrierCreatePublicDto'
      responses:
        '201':
          description: SIP carrier Created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    SipCarrierCreatePublicDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        register_username:
          type: string
        register_password:
          type: string
        requires_register:
          type: boolean
          default: false
        register_sip_realm:
          type: string
        register_from_user:
          type: string
        register_from_domain:
          type: string
        register_public_ip_in_contact:
          type: boolean
        tech_prefix:
          type: string
        diversion:
          type: string
        e164_leading_plus:
          type: boolean
          default: false
        gateways:
          type: array
          items:
            type: object
            properties:
              outbound:
                type: boolean
                default: false
              inbound:
                type: boolean
                default: false
              ipv4:
                type: string
                minLength: 4
              netmask:
                type: integer
                minimum: 1
                exclusiveMinimum: false
                maximum: 32
                exclusiveMaximum: false
                default: 32
              port:
                type: integer
                minimum: 1
                exclusiveMinimum: false
                maximum: 65535
                exclusiveMaximum: false
                default: 5060
              protocol:
                type: string
                enum:
                  - udp
                  - tcp
                  - tls
                  - tls/srtp
                default: udp
              send_options_ping:
                type: boolean
              use_sips_scheme:
                type: boolean
              pad_crypto:
                type: boolean
              sip_gateway_sid:
                type: string
                minLength: 1
            required:
              - ipv4
          default:
            - outbound: true
              inbound: false
              ipv4: ''
              netmask: 32
              port: 5060
              protocol: udp
              send_options_ping: false
              use_sips_scheme: false
              pad_crypto: false
        phoneNumbers:
          type: array
          items:
            type: object
            properties:
              phone_number_sid:
                type: string
                nullable: true
              phone_number:
                type: string
            required:
              - phone_number
          default: []
        outbound_sip_proxy:
          type: string
        updatedBy:
          type: string
          minLength: 1
        cps:
          type: number
          minimum: 0.1
          exclusiveMinimum: false
          maximum: 1000
          exclusiveMaximum: false
          default: 10
        isTriggerCarrier:
          type: boolean
      required:
        - name
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````